
Redmine - Defect #34856

Time entry error on private issue

2021-03-08 16:13 - salman mp

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.1.4   

Resolution: Fixed Affected version: 4.1.1

Description

When someone edit a private issue that he/she is not auther of that, and simultaiusly changed assignee and submit a time entry,

there will raise an error that says "issue number is wrong" and "time entry is wrong" too.

Related issues:

Has duplicate Redmine - Defect #35038: Error message when limited user want t... Closed

Associated revisions

Revision 21081 - 2021-07-26 22:20 - Marius BĂLTEANU

When updating an issue, allow adding time entry on an issue that was visible for the previous assignee (#34856).

Revision 21093 - 2021-07-27 22:42 - Marius BĂLTEANU

Merged r21081 to 4.2-stable (#34856).

Revision 21094 - 2021-07-27 22:45 - Marius BĂLTEANU

Merged r21081 to 4.1-stable (#34856).

History

#1 - 2021-03-08 16:16 - salman mp

- File time_entry.diff added

It's a patch that solve the problem

#2 - 2021-03-08 16:18 - salman mp

Also when that user has a role, that only permit to see issues, owned by he/she or assigned to he/she.

#3 - 2021-03-18 05:21 - Mizuki ISHIKAWA

- File add_test.patch added

Add a test to reproduce the problem.

The test will be successful after applying the time_entry.diff patch

#4 - 2021-04-09 07:00 - Go MAEDA

- Has duplicate Defect #35038: Error message when limited user want to add time entry and change assignee for a private issue added

#5 - 2021-04-09 07:03 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 4.1.3

Setting the target version to 4.1.3

#6 - 2021-04-19 23:49 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

I would like to take a look on the fix proposed.
#7 - 2021-04-25 09:37 - Marius BĂLTEANU

- Target version changed from 4.1.3 to Candidate for next minor release

#8 - 2021-04-26 22:46 - Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 4.1.4

#9 - 2021-06-09 00:59 - Marius BĂLTEANU

- File 0001-Allow-adding-time-entry-on-an-issue-that-became-priv.patch added

I've updated the proposed patch to fix the test (it failed in my environment) and to fix the Rubocop warnings.

#10 - 2021-06-09 01:01 - Marius BĂLTEANU

Also, I've added an extra condition to allow this only when the previous assignee is the current user (issue.previous_assignee == User.current).

Please let me know what do you think.

#11 - 2021-07-26 22:22 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

Patch committed.

#12 - 2021-07-26 23:07 - Marius BĂLTEANU

- Resolution set to Fixed

#13 - 2021-07-27 22:50 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

time_entry.diff 856 Bytes 2021-03-08 salman mp

add_test.patch 1.53 KB 2021-03-18 Mizuki ISHIKAWA

0001-Allow-adding-time-entry-on-an-issue-that-became-priv.patch 2.55 KB 2021-06-08 Marius BĂLTEANU
